Limbo

*IMPORTANT* - Requires at least iPad 2, iPhone 4S or iPod touch (5th gen) - or newer. Uncertain of his sister's fate, a boy enters LIMBO.
Price USD 4.99
License Purchase
Version 1.0.3
Operating System iOS
System Requirements None